# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/theano-1.0.5-python_3.9-on-linux_64, last modified Wed Feb  2 08:24:48 2022
# ------------------------------------------------

package:
  name: theano
  version: 1.0.5
source:
  fn: Theano-1.0.5.tar.gz
  patches:
    - 0001-Add-support-for-custom-compiler.patch
  sha256: 6e9439dd53ba995fcae27bf20626074bfc2fff446899dc5c53cb28c1f9202e89
  url: https://pypi.io/packages/source/T/Theano/Theano-1.0.5.tar.gz
build:
  entry_points:
    - theano-cache = bin.theano_cache:main
    - theano-nose = bin.theano_nose:main
  number: '1'
  script:
    - '[[ -f theano/scan_module/c_code/scan_perform.c ]] && rm -f theano/scan_module/c_code/scan_perform.c'
    - python setup.py install --single-version-externally-managed --record record.txt
  string: py39h295c915_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - patch 2.7.6 h7b6447c_1001
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py39h06a4308_2
    - cython 0.29.25 py39hdbfa776_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.7 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.37.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - gcc_linux-64 7.5.0.*
    - gxx_linux-64 7.5.0.*
    - numpy >=1.9.1
    - pygpu >=0.7,<0.8.0a0
    - python >=3.9,<3.10.0a0
    - scipy >=0.14
    - six >=1.9.0
test:
  commands:
    - pip check
    - MKL_THREADING_LAYER=GNU theano-cache help
    - MKL_THREADING_LAYER=GNU theano-nose -v theano/tests
  imports:
    - bin
    - theano
    - theano.compile
    - theano.compile.sandbox
    - theano.compile.tests
    - theano.gof
    - theano.gof.tests
    - theano.gpuarray
    - theano.gpuarray.dnn
    - theano.gpuarray.linalg
    - theano.misc
    - theano.sandbox
    - theano.scalar
    - theano.scalar.tests
    - theano.sparse
    - theano.sparse.tests
    - theano.tensor
    - theano.tensor.nnet
    - theano.tensor.nnet.tests
    - theano.tensor.signal
    - theano.tensor.signal.tests
    - theano.tensor.tests
    - theano.tests
  requires:
    - nose >=1.3.0
    - nose-parameterized >=0.5.0
    - parameterized
    - pip
  source_files:
    - theano/tests
about:
  description: 'Theano is a Python library that allows you to define, optimize, and

    evaluate mathematical expressions involving multi-dimensional arrays

    efficiently, featuring tight integration with NumPy, transparent use

    of a GPU, efficient symbolic differentiation, speed and stability

    optimizations and dynamic C code generation.

    '
  dev_url: https://github.com/Theano/Theano
  doc_url: https://theano-pymc.readthedocs.io/en/latest/
  home: https://github.com/Theano/Theano
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Optimizing compiler for evaluating mathematical expressions on CPUs and
    GPUs.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - abergeron
    - ericmjl
    - jakirkham
    - ocefpaf
